Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I am having trouble accessing webmail on TalkTalk (formerly Tiscali) using Firefox 5.0 and TalkTalk tell me there is a compatibility issue?

  • 2 replies
  • 20 have this problem
  • 157 views
  • Last reply by davemcq

more options

I had no problem with my previous version of Firefox and I can access my TalkTalk/Tiscali webmail using the latest IE browser. I am able to sign in but cannot access the mailbox contents. When I asked TalkTalk about the problem they have stated the following "If you are unable to access the mailbox using Firefox version 5, then I would like to inform you that there is compatibility issue with Firefox version 5 and Talk Talk webmail, due to which you are getting the above error. You can also try uninstalling the latest version of firefox and then reinstall it to the earlier version to resolve the case." May I assume that between you this difficulty will be resolved? I would prefer to use Firefox and do not wish to revert to IE.

I had no problem with my previous version of Firefox and I can access my TalkTalk/Tiscali webmail using the latest IE browser. I am able to sign in but cannot access the mailbox contents. When I asked TalkTalk about the problem they have stated the following "If you are unable to access the mailbox using Firefox version 5, then I would like to inform you that there is compatibility issue with Firefox version 5 and Talk Talk webmail, due to which you are getting the above error. You can also try uninstalling the latest version of firefox and then reinstall it to the earlier version to resolve the case." May I assume that between you this difficulty will be resolved? I would prefer to use Firefox and do not wish to revert to IE.

Chosen solution

Apparently TalkTalk mail will work with Firefox 4 and Firefox 5 if you set the browser to lie to TalkTalk mail by saying that you are still using version 3.6.

You can find the instructions for that in a post on the TalkTalk forums: Firefox 4 & TalkTalk webmail - Forums.

Note: when you open about:config the first time, it will display a warning message that you should be careful with the changes you make. That's definitely good to bear in mind.

Does it work?

Read this answer in context 👍 0

All Replies (2)

more options

Chosen Solution

Apparently TalkTalk mail will work with Firefox 4 and Firefox 5 if you set the browser to lie to TalkTalk mail by saying that you are still using version 3.6.

You can find the instructions for that in a post on the TalkTalk forums: Firefox 4 & TalkTalk webmail - Forums.

Note: when you open about:config the first time, it will display a warning message that you should be careful with the changes you make. That's definitely good to bear in mind.

Does it work?

more options

That worked a treat. Thank you very much.